| Home | Libraries | People | FAQ | More

## Function template partition

boost::compute::partition

## Synopsis

    // In header: <boost/compute/algorithm/partition.hpp>

    template<typename Iterator, typename UnaryPredicate>
      Iterator partition(Iterator first, Iterator last, UnaryPredicate predicate,
                         command_queue & queue = system::default_queue());

## Description

Partitions the elements in the range [`first`, `last`) according to `predicate`. Order of the elements need not be preserved.

Space complexity: \Omega(3n)

See Also:

is_partitioned() and stable_partition()